import { defineComponent as s, openBlock as a, createBlock as c, unref as o, mergeProps as n, withCtx as u, renderSlot as l } from "vue";
import { Input as f } from "@aplus-frontend/antdv";
import "../../../config-provider/index.mjs";
import i from "../../style/item-text-group.mjs";
import { useNamespace as d } from "../../../config-provider/hooks/use-namespace.mjs";
const k = /* @__PURE__ */ s({
  name: "ApFormItemTextGroup",
  __name: "group",
  props: {
    size: {},
    compact: { type: Boolean, default: !1 }
  },
  setup(t) {
    const { b: r } = d("ap-form-item-text-group"), p = i("ap-form-item-text-group"), m = t;
    return (e, _) => (a(), c(o(f).Group, n({
      class: [e.$props.compact ? o(r)("compact") : null, o(p)]
    }, m), {
      default: u(() => [
        l(e.$slots, "default")
      ]),
      _: 3
    }, 16, ["class"]));
  }
});
export {
  k as default
};
